Update customer in order
curl --request PUT \
--url https://server.twicecommerce.com/v1/admin/orders/{orderId}/customers/{customerId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"marketingConsent": true,
"address": "<unknown>",
"attributes": {},
"dateOfBirth": "2023-12-25",
"billingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"shippingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"companyName": "<string>",
"taxId": "<string>",
"language": "<string>"
}
'import requests
url = "https://server.twicecommerce.com/v1/admin/orders/{orderId}/customers/{customerId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"marketingConsent": True,
"address": "<unknown>",
"attributes": {},
"dateOfBirth": "2023-12-25",
"billingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"shippingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"companyName": "<string>",
"taxId": "<string>",
"language": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
phone: '<string>',
email: 'jsmith@example.com',
marketingConsent: true,
address: '<unknown>',
attributes: {},
dateOfBirth: '2023-12-25',
billingAddress: {
address: '<string>',
zipCode: '<string>',
city: '<string>',
country: '<string>',
state: '<string>',
details: '<string>',
deliveryNotes: '<string>'
},
shippingAddress: {
address: '<string>',
zipCode: '<string>',
city: '<string>',
country: '<string>',
state: '<string>',
details: '<string>',
deliveryNotes: '<string>'
},
companyName: '<string>',
taxId: '<string>',
language: '<string>'
})
};
fetch('https://server.twicecommerce.com/v1/admin/orders/{orderId}/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"marketingConsent": true,
"checkoutFields": {
"name": "<string>",
"type": "text",
"ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"placeholder": "<string>",
"required": true,
"internal": true,
"attributeId": "<string>",
"attributeFormat": "text",
"options": {
"name": "<string>"
},
"value": "<string>",
"checkoutFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"crmCustomerId": "<string>",
"dateOfBirth": "2023-12-25",
"billingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"shippingAddress": {
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"state": "<string>",
"details": "<string>",
"deliveryNotes": "<string>"
},
"customerType": "individual",
"companyName": "<string>",
"taxId": "<string>",
"language": "<string>"
}Updates an order customer entry. Changes stay on this order and are not written back to the CRM customer record.
PUT
/
v1
/
admin
/
orders
/
{orderId}
/
customers
/
{customerId}
Update customer in order
Authorizations
API key for the Twice API
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Body
Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Available options:
individual, business Response
200
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Hide child attributes
Hide child attributes
Available options:
text, select, number, checkbox, customer_attribute Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
text, number, boolean, date, datetime, formula, select, multiselect Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Available options:
individual, business Was this page helpful?